This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465821 - [LTC 6.0 FEAT] 201766:Support for vt-d for KVM kernel interface
[LTC 6.0 FEAT] 201766:Support for vt-d for KVM kernel interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
x86_64 All
high Severity high
: alpha
: 6.0
Assigned To: Tim Burke
Virtualization Bugs
: FutureFeature
Depends On:
Blocks: 356741 465491 554559 555199 555224
  Show dependency treegraph
 
Reported: 2008-10-06 11:29 EDT by IBM Bug Proxy
Modified: 2013-01-09 15:57 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.31-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-10-06 11:29:06 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:     [201766]
a. Name of Feature:     Support for vt-d for KVM kernel interface
b. Feature Description
Enhancements to KVM in the kernel to support using the vt-d iommu

2. Feature Details:
Sponsor:        LTC
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:       Kernel
Request Type:   Kernel - Enhancement from Upstream
d. Upstream Acceptance: In Progress
Sponsor Priority        2
f. Severity: Medium
IBM Confidential:       no
Code Contribution:      IBM code
g. Component Version Target:    2.6.29

3. Business Case
Platform exploitation.  Next gen HW will have this device.  Provides safe access to pci devices when
running virtual machines

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Ryan Harper, raharper@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com
Comment 2 dyuan 2010-06-13 02:16:01 EDT
Verified this bug PASS with kernel-2.6.32-33.el6.x86_64, change this bug to VERIFIED status.

# dmesg|grep -i iommu
Command line: ro root=UUID=283ce9ba-265a-4688-b66a-c85a1ddbbfcb rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=auto rhgb quiet intel_iommu=on
Kernel command line: ro root=UUID=283ce9ba-265a-4688-b66a-c85a1ddbbfcb rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=129M@0M rhgb quiet intel_iommu=on
Intel-IOMMU: enabled
IOMMU fed90000: ver 1:0 cap c9008020e30272 ecap 1000
IOMMU fed92000: ver 1:0 cap c0000020630272 ecap 1000
IOMMU fed93000: ver 1:0 cap c9008020630272 ecap 1000
IOMMU 0xfed92000: using Register based invalidation
IOMMU 0xfed90000: using Register based invalidation
IOMMU 0xfed93000: using Register based invalidation
IOMMU: Setting RMRR:
IOMMU: Setting identity map for device 0000:00:1d.0 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1d.1 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1d.2 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1d.7 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1a.0 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1a.1 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1a.2 [0xdfebc000 - 0xdff00000]
IOMMU: Setting identity map for device 0000:00:1a.7 [0xdfebc000 - 0xdff00000]
IOMMU: Prepare 0-16MiB unity mapping for LPC
IOMMU: Setting identity map for device 0000:00:1f.0 [0x0 - 0x1000000]
Comment 3 releng-rhel@redhat.com 2010-11-11 09:41:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.